package com.simuwang.manage.service;

import com.simuwang.base.pojo.vo.EmailParseInfoVO;
import com.simuwang.base.pojo.vo.EmailTypeRuleVO;

import java.util.List;
import java.util.Map;

/**
 * FileName: ParseEmailService
 * Author:   chenjianhua
 * Date:     2024/9/10 11:26
 * Description: ${DESCRIPTION}
 */
public interface ParseEmailService {
    void saveEmailType(EmailTypeRuleVO emailTypeRuleVO);

    EmailTypeRuleVO searchEmailType();

    List<EmailParseInfoVO> searchEmailList(String emailTitle, Integer emailType, Integer parseStatus);

    EmailParseInfoVO searchEmailById(Integer id);

    Map<String, Integer> searchEmailCount(String parseDate);
}
